Subject: bug#15575: 24.3.50; New tty menus crash Emacs

From: martin rudalics <[email-masked]>
Date: Fri, 11 Oct 2013 13:53:14 +0200

> With latest trunk I'm not able to produce it any more so this seems to
> be fixed.

This was premature.  The last crash is practically the same as before
and happened after I reenlarged the frame to full height.  Not easily
reproducible I presume.

martin

0x011e5763: w32_backtrace at w32fns.c:7965
0x011e57d6: emacs_abort at w32fns.c:7997
0x010de793: terminate_due_to_signal at emacs.c:376
0x01150a9c: die at alloc.c:6605
0x01052e4e: deep_copy_glyph_row at xdisp.c:20596
0x010530a9: display_tty_menu_item at xdisp.c:20656
0x010ca863: tty_menu_display at term.c:2952
0x010cbb6a: tty_menu_activate at term.c:3369
0x010cc731: tty_menu_show at term.c:3746
0x01071081: Fx_popup_menu at menu.c:1449
0x010f0180: read_char_x_menu_prompt at keyboard.c:8422
0x010e51ee: read_char at keyboard.c:2771
0x010f16fd: read_key_sequence at keyboard.c:9115
0x010e2e12: read_menu_command at keyboard.c:1703
0x010cb127: read_menu_input at term.c:3157
0x010cb668: tty_menu_activate at term.c:3295
0x010cc731: tty_menu_show at term.c:3746
0x01071081: Fx_popup_menu at menu.c:1449
0x010f0180: read_char_x_menu_prompt at keyboard.c:8422
0x010e51ee: read_char at keyboard.c:2771
0x010f16fd: read_key_sequence at keyboard.c:9115
0x010e24be: command_loop_1 at keyboard.c:1431
0x0116b69e: internal_condition_case at eval.c:1331
0x010e1df4: command_loop_2 at keyboard.c:1158
0x0116ac61: internal_catch at eval.c:1097
0x010e1dae: command_loop at keyboard.c:1137
0x010e1565: recursive_edit_1 at keyboard.c:776
0x010e1721: Frecursive_edit at keyboard.c:840
0x010dfabe: main at emacs.c:1577
0x010010b5: __mingw_CRTStartup at crt1.c:244
0x01001280: mainCRTStartup at crt1.c:264
0x011ac4c9: _start at unexw32.c:117
0x7c816fd3: ??
??:0